name: Gitea Actions Demo Training
run-name: ${{ github.actor }} is testing out Gitea Actions 🚀
# Which git events can trigger this
on: [push]
jobs:
  Explore-Gitea-Actions:
    # Runner to use
    runs-on: ubuntu-24.04
    steps:
      - run: echo "🎉 The job was automatically triggered by a ${{ github.event_name }} event."
      - run: echo "🐧 This job is now running on a ${{ runner.os }} server hosted by Gitea!"
      - run: echo "🔎 The name of your branch is ${{ github.ref }} and your repository is ${{ github.repository }}."
      - name: Check out repository code
        uses: actions/checkout@v6
      - run: echo "💡 The ${{ github.repository }} repository has been cloned to the runner."
      - run: echo "🖥️ The workflow is now ready to test your code on the runner."
      - uses: https://github.com/actions/setup-python@v6
        with:
          python-version: '3.11.3'
          cache: 'pip'
      - name: Execute a shell script
        run: |
          ls -l ${{ github.workspace }}
          cd slides
          # pip3 install -r requirements.txt
          #./build.sh once
          mount
          df
      - run: echo "🍏 This job's status is ${{ job.status }}."
  # Second-step:
  #   runs-on: ubuntu-latest
  #   steps:
  #     - name: Run another shell script
  #       run: |
  #         set -x
  #         env | sort
  #         cd ${{ github.workspace }}
  #         ls
  #         cd slides
  #         ./build.sh once
